
jQuery(document).ready(function(){

  // Basic Wizard
  jQuery('#basicWizard').bootstrapWizard();
  
  // Progress Wizard
  $('#progressWizard').bootstrapWizard({
    'nextSelector': '.next',
    'previousSelector': '.previous',
    onNext: function(tab, navigation, index) {
	  
	  var direccion = document.getElementById('direccion').value;
	  var telefono
	   = document.getElementById('telefono').value;	
	  var razon_social = document.getElementById('razon_social').value;
	  var ban = false;
	  if(razon_social.trim().length == 0)
	  {
		document.getElementById('razon_social').value = '';
		document.getElementById('razon_social').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_razon_social').setAttribute("class", "form-group has-error");	
	  	ban = true;
	  } 
	  if(direccion.trim().length == 0)
	  {
		document.getElementById('direccion').value = '';
		document.getElementById('direccion').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_direccion').setAttribute("class", "form-group has-error");	
	  	ban = true;
	  }	
	  if(telefono.trim().length == 0)
	  {
		document.getElementById('telefono').value = '';
		document.getElementById('telefono').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_telefono').setAttribute("class", "form-group has-error");
		ban = true;	
	  }	
	  if (ban)
	  {
		  return false;
	  }
      var $total = navigation.find('li').length;
      var $current = index+1;
      var $percent = ($current/$total) * 100;
      jQuery('#progressWizard').find('.progress-bar').css('width', $percent+'%');
	  

    },
    onPrevious: function(tab, navigation, index) {
      var $total = navigation.find('li').length;
      var $current = index+1;
      var $percent = ($current/$total) * 100;
      jQuery('#progressWizard').find('.progress-bar').css('width', $percent+'%');
	  

    },
    onTabShow: function(tab, navigation, index) {
      var $total = navigation.find('li').length;
      var $current = index+1;
      var $percent = ($current/$total) * 100;
      jQuery('#progressWizard').find('.progress-bar').css('width', $percent+'%');
    }
  });
  
  // Disabled Tab Click Wizard
  jQuery('#disabledTabWizard').bootstrapWizard({
    tabClass: 'nav nav-pills nav-justified nav-disabled-click',
    onTabClick: function(tab, navigation, index) {
      return false;
    }
  });
  
  // With Form Validation Wizard
  var $validator = jQuery("#firstForm").validate({
    highlight: function(element) {
      jQuery(element).closest('.form-group').removeClass('has-success').addClass('has-error');
    },
    success: function(element) {
      jQuery(element).closest('.form-group').removeClass('has-error');
    }
  });
  
  jQuery('#validationWizard').bootstrapWizard({
    tabClass: 'nav nav-pills nav-justified nav-disabled-click',
    onTabClick: function(tab, navigation, index) {
      return false;
    },
    onNext: function(tab, navigation, index) {
      var $valid = jQuery('#firstForm').valid();
      if(!$valid) {
        
        $validator.focusInvalid();
        return false;
      }
    }
  });	  
  
  
});

function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function radioValue(ctrl)
{
	for(i=0;i<ctrl.length;i++)
		if(ctrl[i].checked) return ctrl[i].value;
}

function validar_operadores (elemento,div_grupo)
{
	  var nombre_completo = document.getElementById('nombre_completo').value;
	  var nombre_usuario = document.getElementById('nombre_usuario').value;
	  var password = document.getElementById('password').value;	
	  var repetir_password = document.getElementById('repetir_password').value;
	  var ban = false;
	  if(nombre_completo.trim().length == 0)
	  {
		document.getElementById('nombre_completo').value = '';  
		document.getElementById('nombre_completo').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_nombre_completo').setAttribute("class", "form-group has-error");	
	  	ban = true;
	  } 
	  if(nombre_usuario.trim().length == 0)
	  {
		document.getElementById('nombre_usuario').value = '';
		document.getElementById('nombre_usuario').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_nombre_usuario').setAttribute("class", "form-group has-error");	
	  	ban = true;
	  }	
	  if(password.trim().length == 0)
	  {
		document.getElementById('password').value = '';
		document.getElementById('password').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_password').setAttribute("class", "form-group has-error");
		ban = true;	
	  }
	  if(repetir_password.trim().length == 0)
	  {
		document.getElementById('repetir_password').value = '';
		document.getElementById('repetir_password').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_repetir_password').setAttribute("class", "form-group has-error");
		ban = true;	
	  }else if(repetir_password.trim() != password.trim())
	  {
		document.getElementById('password').value = '';
		document.getElementById('password').setAttribute('placeholder','Las contraseñas no coinciden.');
		document.getElementById('repetir_password').value = '';
		document.getElementById('repetir_password').setAttribute('placeholder','Las contraseñas no coinciden.');
		document.getElementById('group_password').setAttribute("class", "form-group has-error");
		document.getElementById('group_repetir_password').setAttribute("class", "form-group has-error");
		ban = true;	
	  }	
	 
	  if (ban)
		  return false;
	  nuevo_();
}

function nuevo_configuraciones_generales()
{
	var trabaja_sucursal;
	var trabaja_distrito;
	var trabaja_zona;
	
	var abm_sucursal;
	var abm_distrito;
	var abm_zona;
	
	var tipo;
	
	var unidades_caja = document.getElementById('unidades_caja').checked;
	var unidades;
	var subunidades = document.getElementById('subunidades').checked;
	var subu;
	var trabaja = radioValue(document.getElementsByName('localizacion'));
	
	var abm_localizacion = radioValue(document.getElementsByName('abm_localizacion'));
	
	var tipo_venta = radioValue(document.getElementsByName('tipo_venta'));
	
	if (trabaja == 1)
	{
		trabaja_sucursal = 1;
		trabaja_distrito = 0;
		trabaja_zona = 0;
	}else if (trabaja == 2)
	{
		trabaja_sucursal = 1;
		trabaja_distrito = 1;
		trabaja_zona = 0;
	}else
	{
		trabaja_sucursal = 1;
		trabaja_distrito = 1;
		trabaja_zona = 1;
	}
	
	if (abm_localizacion == 1)
	{
		abm_sucursal = 1;
		abm_distrito = 0;
		abm_zona = 0;
	}else if (abm_localizacion == 2)
	{
		abm_sucursal = 1;
		abm_distrito = 1;
		abm_zona = 0;
	}else
	{
		abm_sucursal = 1;
		abm_distrito = 1;
		abm_zona = 1;
	}
	
	if (tipo_venta == 1)
	{
		tipo = 1;
	}else
	{
		tipo = 0;
	}
	
	if(unidades_caja)
	{
		unidades = 1;
	}else
	{
		unidades = 0;
	}
	
	if(subunidades)
	{
		subu = 1;
	}else
	{
		subu = 0;
	}
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/Configuraciones/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=2&trabaja_sucursal='+trabaja_sucursal+'&trabaja_distrito='+trabaja_distrito+'&trabaja_zona='+trabaja_zona
											+'&abm_sucursal='+abm_sucursal+'&abm_distrito='+abm_distrito
											+'&abm_zona='+abm_zona+'&tipo_venta='+tipo
											+'&unidades_caja='+unidades+'&subunidades='+subu);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				
				jQuery.gritter.add({
				title: 'Información.',
				text: 'Guardado correctamente.',
				class_name: 'growl-success',
				sticky: false,
				time: '1500'
				});   
			}
			else
			{
				jQuery.gritter.add({
				title: 'Información.',
				text: 'Error al guardar.',
				class_name: 'growl-danger',
				sticky: false,
				time: '1500'
				}); 
			}
		}
	}	
}

function nuevo_configuraciones_backup()
{
	var indice = document.getElementById('backup').selectedIndex;
	var duracion_sesion = document.getElementById('backup').options[indice].value;
	var dias_backup = document.getElementById('dias_backUP').value;
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/Configuraciones/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=3&duracion_sesion='+duracion_sesion+'&dias_backup='+dias_backup);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				jQuery.gritter.add({
				title: 'Información.',
				text: 'Guardado correctamente.',
				class_name: 'growl-success',
				sticky: false,
				time: '1500'
				});  
			}
			else
			{
				jQuery.gritter.add({
				title: 'Información.',
				text: 'Error al guardar.',
				class_name: 'growl-danger',
				sticky: false,
				time: '1500'
				});    
			}
		}
	}	
}

function nuevo_configuraciones_notif()
{
	var noti_operadores_loc = document.getElementById('noti_operadores_loc').checked;
	var noti_operadores_tiempo = document.getElementById('noti_operadores_tiempo').checked;
	var operadores_loc;
	var operadores_tiempo;
	
	if(noti_operadores_loc)
	{
		operadores_loc = 1;
	}else
	{
		operadores_loc = 0;
	}
	
	if(noti_operadores_tiempo)
	{
		operadores_tiempo = 1;
	}else
	{
		operadores_tiempo = 0;
	}
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/Configuraciones/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=4&operadores_loc='+operadores_loc+'&operadores_tiempo='+operadores_tiempo);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				jQuery.gritter.add({
				title: 'Información.',
				text: 'Guardado correctamente.',
				class_name: 'growl-success',
				sticky: false,
				time: '1500'
				});  
			}
			else
			{
				jQuery.gritter.add({
				title: 'Información.',
				text: 'Error al guardar.',
				class_name: 'growl-danger',
				sticky: false,
				time: '1500'
				});    
			}
		}
	}
	
	
}

function nuevo_()
{
	var razon_social = document.getElementById('razon_social').value;
	var direccion = document.getElementById('direccion').value;
	var telefono = document.getElementById('telefono').value;
	
	var nombre_completo = document.getElementById('nombre_completo').value;
	var nombre_usuario = document.getElementById('nombre_usuario').value;
	var password = document.getElementById('password').value;
	var repetir_password = document.getElementById('repetir_password').value;


	ajax=ajaxs();
	ajax.open('POST', 'Modules/Configuraciones/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=1&tabla=configuraciones&razon_social='+razon_social+'&direccion='+direccion+'&telefono='+telefono
											+'&nombre_completo='+nombre_completo+'&nombre_usuario='+nombre_usuario
											+'&password='+password);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				document.getElementById('resultado').innerHTML = '';
				var mensaje = '<div class="alert alert-success fade in nomargin"><h4>Datos guardados correctamente!</h4>';
				mensaje += '<p><button onClick="window.location=\'login.php\'";" class="btn btn-success" type="button">Finalizar</button></p></div>';
				document.getElementById('resultado').innerHTML = mensaje;   
			}
			else
			{
				document.getElementById('resultado').innerHTML = '';
				var mensaje = '<div class="alert alert-error fade in nomargin"><h4>Error al tratar de guardar los datos!</h4>';
				mensaje += '<p><button onClick="window.location=\'login.php\'";" class="btn btn-error" type="button">Finalizar</button></p></div>';
				document.getElementById('resultado').innerHTML = mensaje;   
			}
		}
	}
}

function validar(elemento,div_grupo)
{
	var razon_social = document.getElementById(elemento).value;
	if(razon_social.length != 0)
	{
		document.getElementById(elemento).setAttribute('placeholder','');
		document.getElementById(div_grupo).setAttribute("class", "form-group has-success");
	}else
	{
		document.getElementById(div_grupo).setAttribute("class", "form-group");	
	}
		
}

function editar_(id)
{
	var ConfiguracionNombre = document.getElementById('ConfiguracionNombre').value;
	var ConfiguracionValor = document.getElementById('ConfiguracionValor').value;

	ajax=ajaxs();
	ajax.open('POST', 'class/librerias/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=2&tabla=configuraciones&id='+id+'&ConfiguracionNombre='+ConfiguracionNombre+'&ConfiguracionValor='+ConfiguracionValor);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				alert('Se Modifico Correctamente');
			}
			else
			{
				alert('Error!, No Se Pudo Modificar correctamente.');
			}
		}
	}
}

function eliminar_(id)
{
	if(confirm('Esta Seguro De Eliminar?...') == true)
	{
		ajax=ajaxs();
		ajax.open('POST', 'class/librerias/libreria_general.php',true);
		ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
		ajax.send('case=3&tabla=configuraciones&id='+id);
		ajax.onreadystatechange=function() 
		{
			if (ajax.readyState==4) 
			{
				if(ajax.responseText)
				{
					alert('Se Elimino Correctamente');
				}
				else
				{
					borrar_fila(id);
				}
			}
		}
	}
	else
	{
		return false;
	}
}
function borrar_fila(id)
{
	var td = document.getElementById('td'+id);
	var tr = td.parentNode;
	tr.parentNode.removeChild(tr);
}

function radioValue(ctrl)
{
	for(i=0;i<ctrl.length;i++)
		if(ctrl[i].checked) 
			return ctrl[i].value;
}